Subject: I lost 75 pounds with Medifast. See attached Program details.

From: "Medifast Weight Loss" <[email-masked]>
Date: Sat, 25 Feb 2017 16:18:05 -0700

It appears HTML is disabled in your email reader. Please click the link below
for your message:

http://rightuf.pw/20882a9c1736c692026a58c016f24805_ad10b258-010101030001/1/9317